#pragma once
#include <nlohmann/json.hpp>

 

class CUserInfo 
{

public:
	CUserInfo();
	~CUserInfo();


	bool Init(std::string data);

 

	SStringA GetLastErrorA();

	SStringW GetLastErrorW();
 
	

public:
	//user
	std::string username;
	std::string expiretime; //到期时间
	std::string acctoken;
	std::string password;
	std::string unusedTraffic; //用户流量
	std::string uuid;		   //uuid
	std::string level;		   //用户级别
	std::string access_token;

	std::string affurl; //推荐地址
	std::string swoftdownload; //软件下载地址
	std::string clash_config; //配置地址
	int id;
	int port;

private:
	SStringW m_error_msg;
};

